unit TimeReg;
{******************************************************************************}
{* Register components and editors.                                           *}
{******************************************************************************}
interface
Uses Classes              ,
     DsgnIntf             ,
     
     // Components
     Plan                 ,
     PlaningCalendar      ,
     PlaningDay           ,
     PlaningWorkgroup     ,

     // Property editors
     AppointmentPropEditor,
     DayBlockPropEditor   ,
     PlanListPropEditor   ,
     WeekBlockPropEditor  ,

     // Lists
     TimePeriodList       ,
     DayList              ,
     BlockWeekPeriod      ,
     PlanList             ,

     // Others
     PlanTypes            ,
     Utils                ;
{******************************************************************************}
procedure Register;

implementation
{******************************************************************************}
procedure Register;
begin
  RegisterComponents('TimeControls', [TPlan, TPlaningCalendar, TPlaningDay, TPlaningWorkgroup]);

  // Property editors for TPlan.
  RegisterPropertyEditor(TypeInfo(TTimePeriodList ), nil   , ''            , TTimePeriodeListProperty    );
  RegisterPropertyEditor(TypeInfo(TDayList        ), TPlan , 'DayBlockings', TDayListProperty            );
  RegisterPropertyEditor(TypeInfo(TDayList        ), TPlan , 'Birthdays'   , TBirthdayListProperty       );
  RegisterPropertyEditor(TypeInfo(TBlockWeekPeriod), nil   , ''            , TBlockWeekPeriodListProperty);

  // Property editor for TPlaningWorkgroup.
  RegisterPropertyEditor(TypeInfo(TPlanList), nil   , '', TPlanListPropEditor);
end;
{******************************************************************************}
end.
